<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->

<body id="body-index">


<div th:replace="fragments/header-ejecutivo :: header"></div><!--Carga el fragmento header-->


<div class="container" id="container" style="width: 100%">
    <div class="admin-container">
        <a href="/vehiculo/crear"> <!--Botón agregar cliente, que redirige al formulario para ingresar cliente-->
            <!--<button type="button" class="btn btn-success btn-md" style="margin-bottom: 15px;"><span
                    class="glyphicon glyphicon-plus" aria-hidden="true"></span> Agregar Vehículo
            </button>-->
        </a>
        <div class="panel panel-default">
            <div class="panel-heading"> Vehiculos </div>
            <table class="table table-striped table-bordered" id="category-table">
                <tr th:each="vehiculo: ${vehiculos}" > <!--recorre la  lista de clientes "clientesData" que fue entregada por el webController-->
                    <!--Se muestran los atributos del cliente-->
                    <td th:text="${vehiculo.getMarca()}">Marca</td>
                    <td th:text="${vehiculo.getAnio()}">Año</td>
                    <td th:text="${vehiculo.getPatente()}">Patente</td>
                    <td th:text="${vehiculo.getModelo()}">Modelo</td>
                    <td> <!--Columna que muestra 2 botones para poder editar y eliminar(cambiar el atributo "visible" a false)-->
                        <div class="action-button">
                            <a th:href="|/ficha/vehiculo/${vehiculo.getIdVehiculo()}|"> <!--Si se quiere editar el cliente, se redirigirá a otra página-->
                                <button class="btn btn-info" style="margin: 2px;">
                                    <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>
                                </button>
                            </a>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>

<!--Carga algunos scripts de ajax-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous">
</script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/dataTables.bootstrap.min.js"></script>

<script>
    $(document).ready(function () {
        <!--Da nombre a las columnas de la tabla y activa la paginación-->
        $('#category-table').DataTable({
            "paging": true,
            columns: [
                {data: "marca", title: "Marca"},
                {data: "año", title: "Año"},
                {data: "patente", title: "Patente"},
                {data: "modelo", title: "Modelo"},
                {data: "edit", title: "Ver ficha"}
            ]
        });
    });

    function eliminar(button) { <!--Cuando se presiona el botón eliminar-->
        var rut = $(button).data("rut");
        var nombre = $(button).data("nombre");
        var id = $(button).data("id");

        <!--Se despliega una ventana de confirmación con algunos datos del cliente-->
        <!--Si se confirma, se envía el id del cliente a eliminar al url /cliente/borrar-->
        if (confirm("Confirma que desea eliminar el cliente con RUT " + rut + " y nombre " + nombre)) {
            $.ajax({
                type: "PUT",
                contentType: 'application/json',
                url: "http://localhost:8080/cliente/borrar/" + id
            }).done(function (message) {
                location.href = "http://localhost:8080/clientes";
            }).fail(function (e) {
                console.log("error " + e);
            });
        }
    }
</script>
</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>